
# Standard defs:
OBJS = $(SRC:.hs=.o)
GHC  = ghc
CC   = gcc
RM   = rm -f

BASICFLAGS = -fglasgow-exts -recomp -static -dcore-lint -fvia-C -i../FRPImpl:../StaticTypes:../../TclHaskellSrc -syslib concurrent

FLAGS = -O $(BASICFLAGS)

DEPENDFLAGS = -fglasgow-exts -syslib concurrent -i../FRPImpl:../StaticTypes:../../TclHaskellSrc

BEHAVIORTYPES = ColorCoreB.hs Point2B.hs Point3B.hs Vector2B.hs Vector3B.hs \
                RectB.hs Transform2B.hs Transform3B.hs BehaviorTypes.hs VectorSpaceB.hs

SRC =  $(BEHAVIORTYPES)

all: BehaviorTypes.o

### Boilerplate GHC stuff

.SUFFIXES	: .lhs .hs .hi .o

depend :: 	$(SRC)
		$(GHC) -M $(DEPENDFLAGS) $(SRC)

clean ::
	$(RM) *.o *.hi *.exe

%.hi		: %.o
		@:

%.o		: %.hs
		$(RM) $@
		$(GHC) $(FLAGS) -c $< 


# DO NOT DELETE: Beginning of Haskell dependencies
ColorCoreB.o : ColorCoreB.hs
ColorCoreB.o : ../StaticTypes/BaseTypes.hi
ColorCoreB.o : ../StaticTypes/ColorCore.hi
ColorCoreB.o : ../FRPImpl/FRPImpl.hi
Point2B.o : Point2B.hs
Point2B.o : ../StaticTypes/Point2.hi
Point2B.o : ../FRPImpl/FRPImpl.hi
Point3B.o : Point3B.hs
Point3B.o : ../StaticTypes/Point3.hi
Point3B.o : ../StaticTypes/Point3.hi
Point3B.o : ../FRPImpl/FRPImpl.hi
Point3B.o : ../StaticTypes/BaseTypes.hi
Point3B.o : ./Vector3B.hi
Vector2B.o : Vector2B.hs
Vector2B.o : ../StaticTypes/Vector2.hi
Vector2B.o : ../FRPImpl/FRPImpl.hi
Vector3B.o : Vector3B.hs
Vector3B.o : ../StaticTypes/Vector3.hi
Vector3B.o : ../StaticTypes/Vector3.hi
Vector3B.o : ../FRPImpl/FRPImpl.hi
RectB.o : RectB.hs
RectB.o : ../StaticTypes/Rect.hi
RectB.o : ../FRPImpl/FRPImpl.hi
RectB.o : ./Point2B.hi
RectB.o : ./Vector2B.hi
Transform2B.o : Transform2B.hs
Transform2B.o : ../StaticTypes/Transform2.hi
Transform2B.o : ../FRPImpl/FRPImpl.hi
Transform2B.o : ./Vector2B.hi
Transform2B.o : ./Point2B.hi
Transform3B.o : Transform3B.hs
Transform3B.o : ../StaticTypes/Transform3.hi
Transform3B.o : ./Vector3B.hi
Transform3B.o : ../StaticTypes/Transform3.hi
Transform3B.o : ../FRPImpl/FRPImpl.hi
BehaviorTypes.o : BehaviorTypes.hs
BehaviorTypes.o : ./ColorCoreB.hi
BehaviorTypes.o : ./Point2B.hi
BehaviorTypes.o : ./Point3B.hi
BehaviorTypes.o : ./RectB.hi
BehaviorTypes.o : ./Transform2B.hi
BehaviorTypes.o : ./Transform3B.hi
BehaviorTypes.o : ./Vector2B.hi
BehaviorTypes.o : ./Vector3B.hi
BehaviorTypes.o : ./VectorSpaceB.hi
VectorSpaceB.o : VectorSpaceB.hs
VectorSpaceB.o : ../StaticTypes/BaseTypes.hi
VectorSpaceB.o : ../FRPImpl/FRPImpl.hi
VectorSpaceB.o : ../StaticTypes/VectorSpace.hi
# DO NOT DELETE: End of Haskell dependencies
